Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1534183 - nbconvert missing mistune dependency
Summary: nbconvert missing mistune dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nbconvert
Version: 28
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-13 21:47 UTC by Jerry James
Modified: 2023-09-12 01:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-12 03:34:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jerry James 2018-01-13 21:47:45 UTC
Description of problem:
Install python2-nbconvert or python3-nbconvert into a mock chroot.  Get a shell in the chroot and do this:

<mock-chroot> sh-4.4# python2
Python 2.7.14 (default, Dec 11 2017, 14:50:02) 
[GCC 7.2.1 20170915 (Red Hat 7.2.1-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import nbconvert
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/nbconvert/__init__.py", line 4, in <module>
    from .exporters import *
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/__init__.py", line 3, in <module>
    from .exporter_locator import export_by_name
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/exporter_locator.py", line 13, in <module>
    from .html import HTMLExporter
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/html.py", line 13, in <module>
    from nbconvert.filters.markdown_mistune import IPythonRenderer, MarkdownWithMath
  File "/usr/lib/python2.7/site-packages/nbconvert/filters/markdown_mistune.py", line 14, in <module>
    import mistune
ImportError: No module named mistune


Version-Release number of selected component (if applicable):
python-nbconvert-5.3.1-3.fc28

How reproducible:
Always

Steps to Reproduce:
1. Shown above
2.
3.

Actual results:
Missing dependency

Expected results:
Package should require all of its dependencies

Additional info:

Comment 1 Jerry James 2018-01-13 22:30:19 UTC
It should probably depend on bleach, too, although maybe with a weak dependency.  See preprocessors/sanitize.py for where it imports bleach.

Comment 2 Jerry James 2018-01-13 22:38:36 UTC
Aaaaaand, maybe depend on pandoc as well:

  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/templateexporter.py", line 295, in from_notebook_node
    output = self.template.render(nb=nb_copy, resources=resources)
  File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 1008, in render
    return self.environment.handle_exception(exc_info, True)
  File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 780, in handle_exception
    reraise(exc_type, exc_value, tb)
  File "<template>", line 1, in top-level template code
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/../templates/rst.tpl", line 1, in top-level template code
    {%- extends 'display_priority.tpl' -%}
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/../templates/skeleton/display_priority.tpl", line 1, in top-level template code
    {%- extends 'null.tpl' -%}
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/../templates/skeleton/null.tpl", line 26, in top-level template code
    {%- block body -%}
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/../templates/skeleton/null.tpl", line 28, in block "body"
    {%- block any_cell scoped -%}
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/../templates/skeleton/null.tpl", line 81, in block "any_cell"
    {%- block markdowncell scoped-%} {%- endblock markdowncell -%}
  File "/usr/lib/python2.7/site-packages/nbconvert/exporters/../templates/rst.tpl", line 98, in block "markdowncell"
    {{ cell.source | convert_pandoc("markdown", "rst") }}
  File "/usr/lib/python2.7/site-packages/nbconvert/filters/pandoc.py", line 26, in convert_pandoc
    return pandoc(source, from_format, to_format, extra_args=extra_args)
  File "/usr/lib/python2.7/site-packages/nbconvert/utils/pandoc.py", line 51, in pandoc
    check_pandoc_version()
  File "/usr/lib/python2.7/site-packages/nbconvert/utils/pandoc.py", line 96, in check_pandoc_version
    v = get_pandoc_version()
  File "/usr/lib/python2.7/site-packages/nbconvert/utils/pandoc.py", line 76, in get_pandoc_version
    raise PandocMissing()
nbconvert.utils.pandoc.PandocMissing: Pandoc wasn't found.
Please check that pandoc is installed:

Comment 3 Mukundan Ragavan 2018-01-13 23:47:26 UTC
Can you give this build a shot? It should complete soon.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24181437

Comment 4 Mukundan Ragavan 2018-02-01 22:36:40 UTC
Can you please give the build in comment 3 a shot?

Comment 5 Fedora End Of Life 2018-02-20 15:26:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 6 Fedora Update System 2018-03-20 01:52:50 UTC
python-nbconvert-5.3.1-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7929eb68

Comment 7 Fedora Update System 2018-03-20 01:53:10 UTC
python-nbconvert-5.3.1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f5d2aa9b7

Comment 8 Fedora Update System 2018-03-20 14:54:06 UTC
python-nbconvert-5.3.1-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec7929eb68

Comment 9 Fedora Update System 2018-03-20 19:38:37 UTC
python-nbconvert-5.3.1-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f5d2aa9b7

Comment 10 Fedora Update System 2018-03-28 23:48:53 UTC
python-nbconvert-5.3.1-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-03-30 13:09:23 UTC
python-nbconvert-5.3.1-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Red Hat Bugzilla 2023-09-12 01:22:18 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.